POST
/
api
/
v1
/
admin
/
simulation
/
scenario-blueprints
/
quick-setup
/
apply
Apply Blueprint Quick Setup
curl --request POST \
  --url https://api.jobsim.work/api/v1/admin/simulation/scenario-blueprints/quick-setup/apply \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization_id": "<string>",
  "scenario_type": "hr_workforce",
  "org_culture": "<string>",
  "pressure_model": "<string>",
  "team_topology": "<string>",
  "meeting_model": "<string>",
  "evaluation_model": "<string>",
  "relationship_model": "<string>",
  "consequence_model": "<string>",
  "knowledge_model": "<string>",
  "team_size": 123,
  "include_template_payload": false,
  "overwrite_existing": true,
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request payload to apply a blueprint-driven quick setup bundle.

organization_id
string | null
scenario_type
string
default:hr_workforce
org_culture
string | null
pressure_model
string | null
team_topology
string | null
meeting_model
string | null
evaluation_model
string | null
relationship_model
string | null
consequence_model
string | null
knowledge_model
string | null
team_size
integer | null
include_template_payload
boolean
default:false
overwrite_existing
boolean
default:true
metadata
Metadata · object

Response

Successful Response